Download it now!
Bug 66682 - RTF: RTF bullets and numbering - bad export
Summary: RTF: RTF bullets and numbering - bad export
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: BSA target:4.2.0 target:4.1.1 target:...
Keywords: filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2013-07-08 08:03 UTC by Pénzes Dávid
Modified: 2015-12-17 12:22 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test documents (35.24 KB, application/zip)
2013-07-08 08:03 UTC, Pénzes Dávid
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pénzes Dávid 2013-07-08 08:03:41 UTC
Created attachment 82166 [details]
test documents

As you see the test docs when making a numbered and sub numbered list in LibreOffice 4 and use ODT format it is OK. But, when we exporting to RTF format, I loose my subnumbers.

It is easy to reproduce: you make a list which is contain 5-7 elements and some sub elements.

Thank you!
Operating System: Windows 7
Version: 4.0.4.2 release
Comment 1 Miklos Vajna 2013-07-10 10:04:02 UTC
This is a regression from 07d01742c69f1c0335bc7e1b57abd8341ce255e7.
Comment 2 Commit Notification 2013-07-10 11:36:46 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8422d1f5042de08e8b090a907889b41e133bda40

fdo#66682 RTF export: fix level text of SVX_NUM_ARABIC



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Miklos Vajna 2013-07-10 12:16:58 UTC
Fixed on master, -4-1 review: https://gerrit.libreoffice.org/4809
Comment 4 Commit Notification 2013-07-10 14:14:30 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ddf26c41c8af7d8b50784ee01df6f8319f9c0bb5&h=libreoffice-4-1

fdo#66682 RTF export: fix level text of SVX_NUM_ARABIC


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-07-10 19:49:54 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=044e55fd7367c09cfff64765fd5d32047d4e5365&h=libreoffice-4-0

fdo#66682 RTF export: fix level text of SVX_NUM_ARABIC


It will be available in LibreOffice 4.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Robinson Tryon (qubit) 2015-12-17 12:22:47 UTC
Migrating Whiteboard tags to Keywords: (filter:rtf)
Replace rtf_filter -> filter:rtf.
[NinjaEdit]